Bug 138486 - Artifacts in some impress templates
Summary: Artifacts in some impress templates
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-25 12:59 UTC by Xisco Faulí
Modified: 2020-11-27 11:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Before VS after ( LibreOffice 7.1 master ) (347.80 KB, image/png)
2020-11-25 12:59 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-25 12:59:59 UTC
Created attachment 167562 [details]
Before VS after ( LibreOffice 7.1 master )

This is a follow-up of bug 138326. After https://git.libreoffice.org/core/commit/caf72d1f20547a94e29c0943eb94fa52aec430a4, some templates like Portfolio, Progress or Lights have some artifacts. See before and after comparison
Comment 1 Xisco Faulí 2020-11-25 13:01:24 UTC
I do believe this is a regression from

https://cgit.freedesktop.org/libreoffice/core/commit/?id=548d77d0c06f7088dd3eb408797aa1fc1d7eb277

author	Noel <noelgrandin@gmail.com>	2020-11-13 10:23:36 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-11-16 08:10:35 +0100
commit	548d77d0c06f7088dd3eb408797aa1fc1d7eb277 (patch)
tree	1d937daefcd40b9d2c0e05eaec2da500b2b68845
parent	bf4bbc3c2174b21577b8878bc3197923ba44a029 (diff)
tools::Long->sal_uInt16 in ImpErrorQuad

Bisected with: bibisect-linux64-7.1

Adding Cc: to Noel Grandin
Comment 2 Commit Notification 2020-11-26 19:41:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/31f2b4b23e5d16c1b04035f08ebbb11c1abf62e3

tdf#138486 Artifacts in some impress templates

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-11-27 09:55:27 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: f45ce257c9a9b2aea3fd939ce0ac326bee36acdd
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 4 Commit Notification 2020-11-27 11:31:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ace0af37f2f79561cb52d695e3aa00eab3e2f547

tdf#138486 Artifacts in some impress templates

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.